--[[ Cave's Bag by tehMugwump
See modinfo.lua for version information.

-------------------------------------------------------------------------------
Description:

A 24 slot backpack you can build from your cave spoils.
-------------------------------------------------------------------------------
To install this mod, put this file in a new folder under
"..\mods" called "Caves Bag",

When you run the game you should see a screen pop up that lists this mod as being loaded.
--]]
print("Loading Caves Bag mod...")

PrefabFiles = {
	"caves_bag.lua",

}
Assets = {
	Asset("IMAGE", "images/inventoryimages/ui_caves_bag_7x3.tex"),
	Asset("ATLAS", "images/inventoryimages/ui_caves_bag_7x3.xml"),
	Asset("IMAGE", "images/inventoryimages/caves_bag.tex"),
	Asset("ATLAS", "images/inventoryimages/caves_bag.xml"),

	--Asset("ANIM", "data/anim/backpack.zip"),
Asset("ANIM", "anim/swap_cavepac_sack.zip"),
	--Asset("ANIM", "mods/Caves Bag/anim/swap_cavepac_sack.zip"), --this is what backpack is left on the ground
	
}
------
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local EQUIPSLOTS = GLOBAL.EQUIPSLOTS

STRINGS.NAMES.CAVES_BAG = "Caves Bag"

local function modGamePostInit()
	--Recipe( "caves_bag", { Ingredient("slurtle_shellpieces", 20), Ingredient("slurtleslime", 20), Ingredient("armorsnurtleshell", 1) }, RECIPETABS.SURVIVAL, 3)
local myrecipe = GLOBAL.Recipe( "caves_bag", { Ingredient("slurtle_shellpieces", 20), Ingredient("slurtleslime", 20), Ingredient("armorsnurtleshell", 1) }, RECIPETABS.SURVIVAL, {SCIENCE=2})
---
    myrecipe.atlas = "images/inventoryimages/caves_bag.xml" -- has 'caves_bag.tex' specified inside it.
end
-------------------------
-- old: science level 3
--GLOBAL.Recipe( "myrecipe", { Ingredient("cutgrass", 1) }, GLOBAL.RECIPETABS.SURVIVAL, 3)
-- new: science level 2
--GLOBAL.Recipe( "myrecipe", { Ingredient("cutgrass", 1) }, GLOBAL.RECIPETABS.SURVIVAL, {SCIENCE=2})
-- new: magic level 3
--GLOBAL.Recipe( "myrecipe", { Ingredient("cutgrass", 1) }, GLOBAL.RECIPETABS.SURVIVAL, {MAGIC=2})
-------------------------
AddGamePostInit(modGamePostInit)


print("done!")

